ru.bitel.bgbilling.kernel.tariff.option.common.bean

## Class TariffOptionActivateMode

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.tariff.option.common.bean.TariffOptionActivateMode

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class TariffOptionActivateMode
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEACTIVATE_MODE_DAY`
    `static int` | `DEACTIVATE_MODE_HOUR`
    `static int` | `DEACTIVATE_MODE_MONTH`
    `static int` | `DEACTIVATE_MODE_NOW`
    `static int` | `DEACTIVATE_MODE_WEEK`
    `static int` | `DEACTIVATE_MODE_YEAR`
    `static int` | `DELETE_CHARGE_MODE_AFTER_START`
    `static int` | `DELETE_CHARGE_MODE_BEFORE_START`
    `static int` | `DELETE_CHARGE_MODE_OFF`
    `static int` | `DELETE_MODE_ADMIN`
    `static int` | `DELETE_MODE_ADMIN_AND_CUSTOMER`
    `static int` | `DELETE_MODE_OFF`
    `static int` | `MODE_BEGIN_CURRENT`
    `static int` | `MODE_BEGIN_NEXT`
    `static int` | `MODE_BEGIN_NEXT_HOUR`
    `static int` | `MODE_BEGIN_NOW`
    `static int` | `MODE_DAYS` Deprecated.
    `static int` | `MODE_DAYS_FROM_NEXT` Deprecated.
    `static int` | `MODE_DAYS_FROM_THIS` Deprecated.
    `static int` | `MODE_END_NORMAL`
    `static int` | `MODE_END_ROUNDED`
    `static int` | `MODE_FIELD_DAY`
    `static int` | `MODE_FIELD_HOUR`
    `static int` | `MODE_FIELD_MINUTE`
    `static int` | `MODE_FIELD_MONTH`
    `static int` | `MODE_FIELD_WEEK`
    `static int` | `MODE_FIELD_YEAR`
    `static int` | `MODE_HOURS` Deprecated.
    `static int` | `MODE_HOURS_FROM_NEXT` Deprecated.
    `static int` | `MODE_HOURS_FROM_THIS` Deprecated.
    `static int` | `MODE_MONTHS` Deprecated.
    `static int` | `MODE_MONTHS_FROM_NEXT` Deprecated.
    `static int` | `MODE_MONTHS_FROM_NEXT_HOUR` Deprecated.
    `static int` | `MODE_MONTHS_FROM_NOW` Deprecated.
    `static int` | `MODE_MONTHS_FROM_THIS` Deprecated.
    `static int` | `MODE_WEEKS` Deprecated.
    `static int` | `MODE_WEEKS_FROM_NEXT` Deprecated.
    `static int` | `MODE_WEEKS_FROM_THIS` Deprecated.
    `static int` | `REACTIVATE_MODE_OFF`
    `static int` | `REACTIVATE_MODE_ON`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffOptionActivateMode()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getChargeSumma()`
    `int` | `getChargeTypeId()`
    `java.lang.String` | `getChargeTypeTitle()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `int` | `getDeactivationMode()`
    `int` | `getDeleteChargeMode()`
    `int` | `getDeleteMode()`
    `java.lang.String` | `getModeTitle()`
    `int` | `getOptionId()`
    `int` | `getPeriodCol()`
    `int` | `getPeriodMode()`
    `int` | `getReactivationMode()`
    `boolean` | `isChargeProportional()`
    `static int[]` | `mode(int mode)`
    `void` | `setChargeProportional(boolean chargeProportional)`
    `void` | `setChargeSumma(java.math.BigDecimal chargeSumma)`
    `void` | `setChargeTypeId(int chargeTypeId)`
    `void` | `setChargeTypeTitle(java.lang.String chargeTypeTitle)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setDeactivationMode(int deactivateMode)`
    `void` | `setDeleteChargeMode(int deleteChargeMode)`
    `void` | `setDeleteMode(int deleteMode)`
    `void` | `setModeTitle(java.lang.String modeTitle)` Заглушка для JAXB
    `void` | `setOptionId(int optionId)`
    `void` | `setPeriodCol(int periodCol)`
    `void` | `setPeriodMode(int periodMode)`
    `void` | `setReactivationMode(int reactivationMode)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### MODE_HOURS

          @Deprecated
          public static final int MODE_HOURS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_DAYS

          @Deprecated
          public static final int MODE_DAYS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_DAYS_FROM_NEXT

          @Deprecated
          public static final int MODE_DAYS_FROM_NEXT

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_DAYS_FROM_THIS

          @Deprecated
          public static final int MODE_DAYS_FROM_THIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_MONTHS

          @Deprecated
          public static final int MODE_MONTHS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_MONTHS_FROM_NEXT

          @Deprecated
          public static final int MODE_MONTHS_FROM_NEXT

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_MONTHS_FROM_THIS

          @Deprecated
          public static final int MODE_MONTHS_FROM_THIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_WEEKS

          @Deprecated
          public static final int MODE_WEEKS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_WEEKS_FROM_NEXT

          @Deprecated
          public static final int MODE_WEEKS_FROM_NEXT

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_WEEKS_FROM_THIS

          @Deprecated
          public static final int MODE_WEEKS_FROM_THIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_HOURS_FROM_NEXT

          @Deprecated
          public static final int MODE_HOURS_FROM_NEXT

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_HOURS_FROM_THIS

          @Deprecated
          public static final int MODE_HOURS_FROM_THIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_MONTHS_FROM_NOW

          @Deprecated
          public static final int MODE_MONTHS_FROM_NOW

      Deprecated.
      С текущего момента до конца n месяца
      See Also:
        Constant Field Values

    - #### MODE_MONTHS_FROM_NEXT_HOUR

          @Deprecated
          public static final int MODE_MONTHS_FROM_NEXT_HOUR

      Deprecated.
      See Also:
        Constant Field Values

    - #### MODE_FIELD_MINUTE

          public static final int MODE_FIELD_MINUTE

      See Also:
        Constant Field Values

    - #### MODE_FIELD_HOUR

          public static final int MODE_FIELD_HOUR

      See Also:
        Constant Field Values

    - #### MODE_FIELD_DAY

          public static final int MODE_FIELD_DAY

      See Also:
        Constant Field Values

    - #### MODE_FIELD_WEEK

          public static final int MODE_FIELD_WEEK

      See Also:
        Constant Field Values

    - #### MODE_FIELD_MONTH

          public static final int MODE_FIELD_MONTH

      See Also:
        Constant Field Values

    - #### MODE_FIELD_YEAR

          public static final int MODE_FIELD_YEAR

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_NOW

          public static final int MODE_BEGIN_NOW

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_CURRENT

          public static final int MODE_BEGIN_CURRENT

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_NEXT

          public static final int MODE_BEGIN_NEXT

      See Also:
        Constant Field Values

    - #### MODE_BEGIN_NEXT_HOUR

          public static final int MODE_BEGIN_NEXT_HOUR

      See Also:
        Constant Field Values

    - #### MODE_END_NORMAL

          public static final int MODE_END_NORMAL

      See Also:
        Constant Field Values

    - #### MODE_END_ROUNDED

          public static final int MODE_END_ROUNDED

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_NOW

          public static final int DEACTIVATE_MODE_NOW

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_DAY

          public static final int DEACTIVATE_MODE_DAY

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_WEEK

          public static final int DEACTIVATE_MODE_WEEK

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_MONTH

          public static final int DEACTIVATE_MODE_MONTH

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_HOUR

          public static final int DEACTIVATE_MODE_HOUR

      See Also:
        Constant Field Values

    - #### DEACTIVATE_MODE_YEAR

          public static final int DEACTIVATE_MODE_YEAR

      See Also:
        Constant Field Values

    - #### REACTIVATE_MODE_OFF

          public static final int REACTIVATE_MODE_OFF

      See Also:
        Constant Field Values

    - #### REACTIVATE_MODE_ON

          public static final int REACTIVATE_MODE_ON

      See Also:
        Constant Field Values

    - #### DELETE_MODE_OFF

          public static final int DELETE_MODE_OFF

      See Also:
        Constant Field Values

    - #### DELETE_MODE_ADMIN

          public static final int DELETE_MODE_ADMIN

      See Also:
        Constant Field Values

    - #### DELETE_MODE_ADMIN_AND_CUSTOMER

          public static final int DELETE_MODE_ADMIN_AND_CUSTOMER

      See Also:
        Constant Field Values

    - #### DELETE_CHARGE_MODE_OFF

          public static final int DELETE_CHARGE_MODE_OFF

      See Also:
        Constant Field Values

    - #### DELETE_CHARGE_MODE_BEFORE_START

          public static final int DELETE_CHARGE_MODE_BEFORE_START

      See Also:
        Constant Field Values

    - #### DELETE_CHARGE_MODE_AFTER_START

          public static final int DELETE_CHARGE_MODE_AFTER_START

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TariffOptionActivateMode

          public TariffOptionActivateMode()

  - ### Method Detail

    - #### mode

          public static int[] mode(int mode)

    - #### getOptionId

          public int getOptionId()

    - #### setOptionId

          public void setOptionId(int optionId)

    - #### getPeriodMode

          public int getPeriodMode()

    - #### setPeriodMode

          public void setPeriodMode(int periodMode)

    - #### getPeriodCol

          public int getPeriodCol()

    - #### setPeriodCol

          public void setPeriodCol(int periodCol)

    - #### getDeactivationMode

          public int getDeactivationMode()

    - #### setDeactivationMode

          public void setDeactivationMode(int deactivateMode)

    - #### getChargeTypeId

          public int getChargeTypeId()

    - #### setChargeTypeId

          public void setChargeTypeId(int chargeTypeId)

    - #### getChargeTypeTitle

          public java.lang.String getChargeTypeTitle()

    - #### setChargeTypeTitle

          public void setChargeTypeTitle(java.lang.String chargeTypeTitle)

    - #### getChargeSumma

          public java.math.BigDecimal getChargeSumma()

    - #### setChargeSumma

          public void setChargeSumma(java.math.BigDecimal chargeSumma)

    - #### isChargeProportional

          public boolean isChargeProportional()

    - #### setChargeProportional

          public void setChargeProportional(boolean chargeProportional)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getModeTitle

          public java.lang.String getModeTitle()

    - #### setModeTitle

          public void setModeTitle(java.lang.String modeTitle)

      Заглушка для JAXB

    - #### getReactivationMode

          public int getReactivationMode()

    - #### setReactivationMode

          public void setReactivationMode(int reactivationMode)

    - #### getDeleteMode

          public int getDeleteMode()

    - #### setDeleteMode

          public void setDeleteMode(int deleteMode)

    - #### getDeleteChargeMode

          public int getDeleteChargeMode()

    - #### setDeleteChargeMode

          public void setDeleteChargeMode(int deleteChargeMode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IdTitle`